YAZ-ICONV(1)

NAME
yaz-iconv - YAZ Character set conversion utility

SYNOPSIS

yaz-iconv [-f from] [-t to] [-v] [file...]

DESCRIPTION

yaz-iconv converts data in file in character set specified by from to output in character set as specified by to.

This yaz-iconv utility similar to the iconv found on many POSIX systems (Glibc, Solaris, etc).

If no file is specified, yaz-iconv reads from standard input.

OPTIONS

-ffrom]
    Specify the character set from of the input file. Should be used in conjunction with option -t.

-tto]
    Specify the character set of of the output. Should be used in conjunction with option -f.

-v
    Print more information about the conversion process.

ENCODINGS

The yaz-iconv command and the API as defined in yaz/yaz-iconv.h is a wrapper for the library system call iconv. But YAZ' iconv utility also implements conversions on its own. The table below lists characters sets (or encodings). that are supported by YAZ. Each character set is marked with either encode or decode. If an encoding is encode-enabled YAZ may convert to to the designated encoding. If an encoding is decode-enabled, YAZ may convert from the designated encoding.

marc8 (encode, decode)
    The MARC8[1] encoding as defined by the Library of Congress. Most MARC21/USMARC records usees this encoding.

marc8s (encode, decode)
    Like MARC8 but with conversion prefers non-combined characters in the Latin-1 plane over combined characters.

marc8lossy (encode)
    Lossy encoding of MARC-8.

marc8lossless (encode)
    Lossless encoding of MARC8.

utf8 (encode, decode)
    The most commonly used UNICODE encoding on the Internet.

iso8859-1 (encode, decode)
    ISO-8859-1, AKA Latin-1.

iso5426 (decode)
    ISO 5426. Some MARC records (UNIMARC) uses this encoding.

iso5428:1984 (encode, decode)
    ISO 5428:1984.

advancegreek (encode, decode)
    An encoding for Greek used by some vendors (Advance).

danmarc (decode)
    Danmarc (in danish)[2] is an encoding based on UNICODE which is used for DanMARC2 records.

EXAMPLES

The following command converts from ISO-8859-1 (Latin-1) to UTF-8.

        yaz-iconv -f ISO-8859-1 -t UTF-8 -X <input.lst >output.lst

FILES

prefix/bin/yaz-iconv

prefix/include/yaz/yaz-iconv.h

SEE ALSO

yaz(7) iconv(1)

NOTES

1.  MARC8
    http://www.loc.gov/marc/specifications/speccharmarc8.html

2.  Danmarc (in danish)
    http://www.kat-format.dk/danMARC2/Danmarc2.4.htm#felt+Indl.+4